Перейти к содержимому


Фотография

p2pool Децентрализованный пул

p2pool настройка конфиг вывод

Сообщений в теме: 3768

#581 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 11:12

так происходит если используешь pypy вместо python

Толи лыжи не едут, толи одно из двух.

В скрипте запуска прописал:

DAEMON_ARGS="screen -t p2pool pypy -O -E /var/p2pool/run_p2pool.py --give-author 0.25 -w 9332 --net bitcoin --bitcoind-rpc-port 8332 --bitcoind-p2p-port 8333 bitcoin-rpcuser RPC-PASS -a 1KgvgXu4p3xrW9bN9QnzWjeutA2328wViV --datadir /home/general-beck/data --fee 0.5 --max-conns 150 --outgoing-conns 10"

Но нода почему-то не запускается. В log`ах тишина. Вручную стартует. Но это ж не дело. Для чего я service создавал?! Вот текст скрипта. Там фигурирует параметр NAME=python. Может в нём проблема, на что заменить?

#! /bin/sh
### BEGIN INIT INFO
# Provides: p2pool start
# Required-Start: $all
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Auto init p2pool start
# Description: Auto init p2pool start via booting system
# placed in /etc/init.d.
### END INIT INFO

# Author: wzor <poolcrypto.org@gmail.com>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="P2Pool Start"
NAME=python
DAEMON=/usr/bin/$NAME
#DAEMON_ARGS="/home/user/p2pool/run_p2pool.py --net bitcoin --give-author 0 rpcuser rpcpass -a your_wallet_btc --merged http://user:pass@127.0.0.1:8336/ --merged http://user:pass@127.0.0.1:65535/ --merged http://user:pass@127.0.0.1:18491/ --merged http://user:pass@127.0.0.1:8338/ --merged http://user:pass@127.0.0.1:7332/ --merged http://user:pass@127.0.0.1:8399/ --merged http://user:pass@127.0.0.1:6333/ --max-conns 100 --outgoing-conns 10 --fee 0"
#DAEMON_ARGS="/var/p2pool/run_p2pool.py  --give-author 0.5 -w 9332 --net bitcoin --bitcoind-rpc-port 8332 --bitcoind-p2p-port 8333 bitcoin-rpcuser rpc-pass -a 1ArcyQNSjvaVLyMV181vtc2p8hroTwkSHS --datadir /home/general-beck/data --fee 0 --max-conns 100 --outgoing-conns 10"
#DAEMON_ARGS="/var/p2pool/run_p2pool.py  --give-author 0.5 -w 9332 --net bitcoin --bitcoind-rpc-port 8332 --bitcoind-p2p-port 8333 bitcoin-rpcuser rpc-pass -a 1KgvgXu4p3xrW9bN9QnzWjeutA2328wViV --datadir /home/general-beck/data --fee 0.5 --max-conns 100 --outgoing-conns 10"
DAEMON_ARGS="pypy -O -E /var/p2pool/run_p2pool.py --give-author 0.25 -w 9332 --net bitcoin --bitcoind-rpc-port 8332 --bitcoind-p2p-port 8333 bitcoin-rpcuser rpc-pass -a 1KgvgXu4p3xrW9bN9QnzWjeutA2328wViV --datadir /home/general-beck/data --fee 0.5 --max-conns 150 --outgoing-conns 10"
#DAEMON_ARGS="screen -t p2pool pypy -O -E /var/p2pool/run_p2pool.py --give-author 0.25 -w 9332 --net bitcoin --bitcoind-rpc-port 8332 --bitcoind-p2p-port 8333 bitcoin-rpcuser rpc-pass -a 1KgvgXu4p3xrW9bN9QnzWjeutA2328wViV --datadir /home/general-beck/data --fee 0.5 --max-conns 150 --outgoing-conns 10"
DAEMON_LOADER="/usr/bin/taskset 0x8 "$DAEMON
#DAEMON_LOADER=$DAEMON
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/home/root2pool/script/$NAME
CHUID=root2pool:root

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}

case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:


  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#582 igorwhite

igorwhite

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 886 сообщений
  • ГородМосква

Отправлено 22 October 2015 - 11:20

если установлен pypy то соответственно python заменить на pypy

Но если установлено меньше 8gb оперативки нет смысла pypy будет свопится на hdd что плохо отразиться на работе ноды


Сообщение отредактировал igorwhite: 22 October 2015 - 11:27

  • 0

Все куют металл, а я паяю индастриал! 

Pools: Ethereum, Ethereum Classic - Тема Bits.Media Комиссия 0.5% Выплаты каждые 4 часа - 1.1[ETC]. Добро Пожаловать.

Магазин "Esonics"


#583 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 11:26

если установлен pypy то соответственно python заменить на pypy

Не помогло.  :( Может питона снести сафсем? Но тогда надо в системе прописать новый обработчик для .py.


Сообщение отредактировал AndreyNag: 22 October 2015 - 11:27

  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#584 igorwhite

igorwhite

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 886 сообщений
  • ГородМосква

Отправлено 22 October 2015 - 11:40

не надо ничего сносить


 

#! /bin/sh

### BEGIN INIT INFO
# Provides:          p2pool start
# Required-Start:    $all
# Required-Stop:     $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Auto init p2pool start
# Description:       Auto init p2pool start via booting system
#                    placed in /etc/init.d.
### END INIT INFO
 
# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.
 
# Do NOT "set -e"
 
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="P2Pool Start"
NAME=pypy
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="/home/user/p2pool/run_p2pool.py --net bitcoin --give-author 0 ваш_логин_из_биткоин ваш_пароль_из_биткоин -a кошель_битконин --merged бла_бла_бла_бла_если_есть_мерджет --fee 0"
DAEMON_LOADER="/usr/bin/taskset 0x3 "$DAEMON
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
CHUID=user:user
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
#   0 if daemon has been started
#   1 if daemon was already running
#   2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON_LOADER --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --chuid $CHUID --pidfile $PIDFILE --exec $DAEMON_LOADER -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one.  As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
#   0 if daemon has been stopped
#   1 if daemon was already stopped
#   2 if daemon could not be stopped
#   other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently.  A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
 
case "$1" in
  start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
  stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
  status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
  #reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
  restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
 0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
 *)
# Failed to stop
log_end_msg 1
;;
esac
;;
  *)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
 
:
 

Только поменяйте user на свой.

в CHUID это от кого и от какой группы будет запускаться скрипт


taskset 0x3 у меня прописан это 1 и 2 ядро процессора точнее правильно говорить 0 и 1


Сообщение отредактировал igorwhite: 22 October 2015 - 11:35

  • 1

Все куют металл, а я паяю индастриал! 

Pools: Ethereum, Ethereum Classic - Тема Bits.Media Комиссия 0.5% Выплаты каждые 4 часа - 1.1[ETC]. Добро Пожаловать.

Магазин "Esonics"


#585 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 11:54

taskset 0x3 у меня прописан это 1 и 2 ядро процессора точнее правильно говорить 0 и 1


это для ноды, а демону кошелька какие ядра назначили?
  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#586 igorwhite

igorwhite

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 886 сообщений
  • ГородМосква

Отправлено 22 October 2015 - 12:12

По поводу taskset для 4-х ядерного процессора

0x01  -- 0 ядро

0x02  -- 1 ядро

0x04  -- 2 ядро

0x08  -- 3 ядро

0x03  -- 0 и 1 ядро

0x0C  -- 2 и 3 ядро

 

Для 6-ти ядерного процессора

0x010  -- 4 ядро

0x020  -- 5 ядро


Сообщение отредактировал igorwhite: 24 October 2015 - 00:56

  • 0

Все куют металл, а я паяю индастриал! 

Pools: Ethereum, Ethereum Classic - Тема Bits.Media Комиссия 0.5% Выплаты каждые 4 часа - 1.1[ETC]. Добро Пожаловать.

Магазин "Esonics"


#587 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 12:24

По поводу taskset

Это хорошо, но теория. Поделитесь практическими наработкамм. Сколько ядер выделить конкретно для ноды и сколько соответственно для bitcoind.
Спасибо.
  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#588 igorwhite

igorwhite

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 886 сообщений
  • ГородМосква

Отправлено 22 October 2015 - 12:40

здесь нет ни какой теории, куда и что распределить решайте сами


  • 0

Все куют металл, а я паяю индастриал! 

Pools: Ethereum, Ethereum Classic - Тема Bits.Media Комиссия 0.5% Выплаты каждые 4 часа - 1.1[ETC]. Добро Пожаловать.

Магазин "Esonics"


#589 ISawa

ISawa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 893 сообщений

Отправлено 22 October 2015 - 12:42

может к pypy путь указать?

/usr/bin/pypy -O -E ...

Сообщение отредактировал ISawa: 22 October 2015 - 12:44

  • 1

#590 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 13:07

куда и что распределить решайте сами

Я обязательно разберусь и решу, вот только жаль времени.
Спасибо.
  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#591 General-Beck

General-Beck

    Пользователь

  • Пользователи
  • PipPip
  • 410 сообщений
  • ГородНовокузнецк

Отправлено 22 October 2015 - 16:23

AndreyNag, у меня немного другой подход к запуску ноды, в отличии от метода ISawa (решение костыля со screen ;)

я запускаю 2 скрипта через crontab, один мониторит запуск и работу демонов, второй собственно запускает ноды

crontab

crontab -l
PATH = /usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
HOME = /home/p2pool
SHELL = /bin/bash
@reboot /home/p2pool/daemons-monitor.sh      #daemons monitor
@reboot /home/p2pool/pool.sh       #p2pool

daemons-monitor.sh

#!/bin/bash
echo "ждем 1 минуту"
sleep 60
cd ~
while true
do

#bitcoind
case "$(pidof bitcoind | wc -w)" in
0) echo "Restarting bitcoind: $(date)" >> daemons.log
   taskset -c 3,4 nice -n -10 ionice -c1 bitcoind -daemon &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof namecoind | wc -w)" in
0) echo "Restarting namecoind: $(date)" >> daemons.log
   taskset -c 6 namecoind &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof litecoind | wc -w)" in
0) echo "Restarting litecoind: $(date)" >> daemons.log
   taskset -c 5 nice -n -10 ionice -c1 litecoind -daemon &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof dogecoind | wc -w)" in
0) echo "Restarting dogecoind: $(date)" >> daemons.log
   taskset -c 6 dogecoind -daemon &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof devcoind | wc -w)" in
0) echo "Restarting devcoind: $(date)" >> daemons.log
   taskset -c 7 devcoind &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof i0coind | wc -w)" in
0) echo "Restarting i0coind: $(date)" >> daemons.log
   taskset -c 7 i0coind  &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof ixcoind | wc -w)" in
0) echo "Restarting ixcoind: $(date)" >> daemons.log
   taskset -c 7 ixcoind &
   ;;
1) #daemon running
   ;;
esac
case "$(pidof unobtaniumd | wc -w)" in
0) echo "Restarting unobtaniumd: $(date)" >> daemons.log
   taskset -c 7 unobtaniumd -daemon &
   ;;
1) #daemon running
   ;;
esac
sleep 60
done

pool.sh

#!/bin/bash
sleep 180 
killall screen
screen -dmS p2pool-ltc taskset -c 2 nice -n -10 ionice -c1 pypy -O -E /home/p2pool/p2pool/run_p2pool.py --no-bugreport --disable-upnp --external-ip 80.83.206.43:9338 --give-author 0.1 --net litecoin --bitcoind-rpc-port 9334 --bitcoind-p2p-port 9335 litecoinrpc пароль -a LWmiQ2FTZctXZV6RDMAkaCdedhfK2jGAwS --fee 1 --merged http://dogecoinrpc:пароль@127.0.0.1:22555 --logfile /dev/null&
echo "Для просмотра активности набираем в терминале screen -r p2pool-ltc"
screen -dmS p2pool-btc taskset -c 1 nice -n -10 ionice -c1 pypy -O -E /home/p2pool/p2pool/run_p2pool.py --no-bugreport --disable-upnp --external-ip 80.83.206.43:9333 --give-author 0.1 --net bitcoin bitcoinrpc пароль -a 1BjEHJjrh23nK9rTeLGxPzBQg6NZBke8CK --fee 1 --merged http://namecoinrpc:пароль@127.0.0.1:8336 --merged http://devcoinrpc:пароль@127.0.0.1:6333 --merged http://i0ncoinrpc:пароль@127.0.0.1:7332 --merged http://ixcoinrpc:пароль@127.0.0.1:8338 --merged http://unobtaniumrpc:пароль@127.0.0.1:65535 --logfile /dev/null&
echo "Для просмотра активности набираем в терминале screen -r p2pool-btc"

Как видно, выплаты комиссии пула идут на другие адреса и они появляются в стате только когда накопятся

Важно! Использование nice и ionice допускается только рутом, учтите этот момент

Подробнее про приоритеты http://www.askapache...ice-ionice.html хоть и на английском, но вполне понятно и с примерами


Сообщение отредактировал General-Beck: 22 October 2015 - 16:25

  • 0

#592 ramsis

ramsis

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 1302 сообщений

Отправлено 22 October 2015 - 16:25

Правильно говорят, чем долше асик на ноде, не выключается. Тем больше он приносит! Результат на лицо!

Это S3 в кол-ве 11шт.

Прикрепленные изображения

  • Безымянный.png

  • 0

http://mnogoblokov.mine.nu:9332 P2Pool BTC (sha256).
http://mnogoblokov.mine.nu:9334 fork - P2Pool BTC (sha256).
http://mnogoblokov.mine.nu/stats    crowncoin [/size](sha256) / universal currency [/size](sha256)


#593 ISawa

ISawa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 893 сообщений

Отправлено 22 October 2015 - 17:24

AndreyNag, у меня немного другой подход к запуску ноды, в отличии от метода ISawa (решение костыля со screen ;)

я запускаю 2 скрипта через crontab, один мониторит запуск и работу демонов, второй собственно запускает ноды crontab

Я кажется свой метод запуска здесь не описывал.
Ну и демоны у меня не валятся, поэтому нет нужды в перезапуске.


  • 1

#594 General-Beck

General-Beck

    Пользователь

  • Пользователи
  • PipPip
  • 410 сообщений
  • ГородНовокузнецк

Отправлено 22 October 2015 - 17:37

ISawa, описание есть в блоге (писал с планшета перепутал ник) igorwhite испраляюсь . Ну а по поводу валятся не валятся, в нашем случае лучше перебдеть, чем недобдеть ;-)

--datadir /home/general-beck/data

в строке запуска то вообщето указана папка с данными моего пользователя ;-) мож в этом причина?

Сообщение отредактировал General-Beck: 23 October 2015 - 00:26

  • 0

#595 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 22 October 2015 - 22:23

в строке запуска то вообщето указана папка с данными моего пользователя ;-) мож в этом причина?

Конечно же нет. ;)
Это какой-то компонент для ноды туда загрузился.


Сообщение отредактировал AndreyNag: 22 October 2015 - 22:46

  • 0

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#596 KlopS5

KlopS5

    TornDummy

  • Пользователи
  • PipPipPip
  • 970 сообщений

Отправлено 22 October 2015 - 23:16

А у меня ubuntu с видеокарточкой - так у меня вообще все просто (как оказалось) мб кому пригодится.

Demon-ы запускаются автоматом через автоматически запускаемые приложения :D  + скрипт для запуска p2pool тоже в эти же приложения

#!/bin/sh

sleep 30

gnome-terminal --command="pypy -O -E /home/......

Ни каких настроек на приоритет процессору и ядрам - он загружен то на 1-3%.

А вот по поводу форков паралельных

Хантеркоин - грузит проц - повышает доа на ноде + на крипси поломан кошелек+ награда за блок 1 huc - 0.00000000 каких то сатошей.

Ixcoin - закончилась эмиссия - зачем его майнтить :)

Groupcoin - поломан кошелек

I0coin - форк ixcoin - заканчивается эмиссия- награда за блок 0,375 монетки за 0,0000000 каких-то сатошей + грузит проц + доа

fusioncoin -скам

осталось 3 монетки - одна на благие цели разрабам + нейм возможно за год 1 блок поймать :D +uno за месяц 1,5$ прибыли.

И еще Isawa дал скриптик, чтоб автоматом с кошельков деньги отправлять.

зы Возможно есть люди с фермами на видюхах и опытом - прошу помощи - https://forum.bits.m...miner/?p=321320


Сообщение отредактировал KlopS5: 22 October 2015 - 23:18

  • 1

#597 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 23 October 2015 - 22:57

Здравствуйте всем!

Поздравляю с очередным блоком и хочу сообщить всем желающим подключиться к децентрализованным пулам (нода) не делать это с горяча и с кондачка. Для начала присмотритесь, решите для себя хватит ли у вас терпения просидеть на ноде хотя бы пару дней и принимайте взвешенное решение. Далее необходимо связаться с менеджером ноды и выяснить особенности настройки, получить контактную и сопутствующую информацию.

И в качестве черновика к инструкции. Обязательно к прочтению для желающих подключиться. В противном случае скорее всего навредите и себе и тем, кто уже работает на ноде.

 

Рекомендуемые настройки:

che2pool.mine.nu:9332
кошелёк+960 (для S5 расположенного на некотором "расстоянии" от ноды)
123
Обязательно настройте второй и может быть третий резервный пул из сети P2Pool. Чтобы наработанное не терялось за время вынужденного простоя основной ноды.
1. Сложность можно и нужно подбирать как в сторону увеличения, так и уменьшения с шагом 16. Время время выхода показателя на горизонталь примерно 10-20 минут. По прошествии этого времени можно производить новую итерацию. Показателем для ориентира является DOA и собственная и показатель всей ноды, который можно увидеть на графике <a href="http://che2pool.mine...graphs.html?Day">http://che2pool.mine.nu:9332/static/graphs.html?Day</a> под своим кошельком. Очень важна связка 1 кошелёк-1 сложность. Если есть разные по производительности майнеры, то разбивайте их на группы и присваивайте им свой вариант кошелька со сложностью.
2. На закладке вэбинтерфейса, в статусе майнера следите за показателем HW. Он не должен превышать 0.0001%. В идеале он должен быть 0%. На ноде важна не дутая скорость, а реальная производительность в виде BestShare. Эта цифра должна расти как на дрожжах. Процент HW влияет на выплаты как ложка дёгтя на цистерну мёда. Занижай частоту майнеров до победы, ожидания будут вознаграждены.
И самое главное! Нельзя часто прыгать с пула на другие сервисы и обратно. Играть в "казино" бессмысленно. Получите однозначно отрицательный результат. Для выхода на уровень максимальной доходности надо около недели. Посмотрите на графики других майнеров на нашей ноже. Они более чем красноречивы.
Успехов в добыче.

Наши наработки, уверен, будут востребованы на многих нодах для большого числа шахтёров.

Спасибо за внимание.


  • 3

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#598 SimGa

SimGa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 1042 сообщений
  • ГородInTeRneT

Отправлено 24 October 2015 - 00:06

Очень важна связка 1 кошелёк-1 сложность. Если есть разные по производительности майнеры, то разбивайте их на группы и присваивайте им свой вариант кошелька со сложностью.

с этого места можно по-подробнее ? с чем именно связано утверждение 1 кошель - 1 сложность ? ...

 

раньше сам пробовал играть сложностью на 1-м кошеле (майнеры одинаковые) - негативных результатов не заметил .


Сообщение отредактировал SimGa: 24 October 2015 - 00:08

  • 0

Пластик для Биткоин - ePayments (EPA) - ассоциация электронных платежей + Биржа криптовалют DSX ...
                        Еще пластик для Биткоин - Advanced Cash - деньги и интернет это просто

                                                           Эмулятор монитора HDMI-VGA; полимерное масло для вентиляторов ПМС-200


#599 AndreyNag

AndreyNag

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 711 сообщений
  • ГородЧеркесск

Отправлено 24 October 2015 - 00:16

с этого места можно по-подробнее ? с чем именно связано утверждение 1 кошель - 1 сложность ? ...

 

раньше сам пробовал играть сложностью на 1-м кошеле (майнеры одинаковые) - негативных результатов не заметил .

Эта зависимость выведена эмпирически. Подтверждена как на S3-их, так и на S5-х. Подбирать сложность оказалось делом долгим, но эффективным в перспективе. Обратите внимание на график выплат на кошельке https://blockchain.i...UicrKACY3PSwr9j в разрезе недели и многое станет ясным. Вечером 21-го мы настроили крайний раз сложность и график попёр!

Не старайтесь задирать сложность до небес. Начните с малого, рекомендуемых показателей. Я не навязываю своего мнения, почитайте рекомендации авторитетов форума и посмотрите на графики. Open Source во всей красе.


  • 2

Мультивалютные пулы для Antminer S1,S3,S5, etc .
http://mnogoblokov.mine.nu/stats UNIT, EMC, CRW.
http://happy.mine.nu UNIT, EMC, TRC, AUR (script), DEM, DGM.
 


#600 SimGa

SimGa

    Продвинутый пользователь

  • Пользователи
  • PipPipPip
  • 1042 сообщений
  • ГородInTeRneT

Отправлено 24 October 2015 - 00:29

Обратите внимание на график выплат на кошельке https://blockchain.i...UicrKACY3PSwr9j в разрезе недели и многое станет ясным. Вечером 21-го мы настроили крайний раз сложность и график попёр!

а какая мощность на этом кошельке ? ///всё ! вопрос снимается, сам нашел...
 
я так-же долго-нудно и эмпирически подобрал для SP30 сложность в "5120" , ориентировался на минимальные реджекты и Utility в интерфейсе майнера, HW=0 ...

... но это для ноды с пингом в 16мс ... для большего значения пинга (на резервных нодах) сложность нужно значительно уменьшать, т.к. сыпется много реджектов.

 

з.ы. вобщем под каждую ноду нужно подбирать свою сложность, ИМХО, либо запускать свою ноду...

 

з.ы.ы. а вот от разных сложностей на один кошелёк отрицательного эффекта не заметил, даже при одном кошельке на разных нодах, опять-же имхо.


Сообщение отредактировал SimGa: 24 October 2015 - 00:36

  • 1

Пластик для Биткоин - ePayments (EPA) - ассоциация электронных платежей + Биржа криптовалют DSX ...
                        Еще пластик для Биткоин - Advanced Cash - деньги и интернет это просто

                                                           Эмулятор монитора HDMI-VGA; полимерное масло для вентиляторов ПМС-200





Количество пользователей, читающих эту тему: 3

0 пользователей, 3 гостей, 0 анонимных

Тему модерирует